/* --COPYRIGHT--,BSD
 * Copyright (c) 2012, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/
#ifndef __HAL_RGB_LED_H__
#define __HAL_RGB_LED_H__

/*!
 * @addtogroup HAL_RGB_LED_api
 * @{
 */

/*!
 * Enum type for acceptable RGB channels.
 */
typedef enum {
    RGB_LED_none = 0,                   /*!< Off */
    RGB_LED_red = BIT1,                 /*!< Red channel */
    RGB_LED_green = BIT2,               /*!< Green channel */
    RGB_LED_blue = BIT4,                /*!< Blue channel */
    RGB_LED_white = BIT5,               /*!< White channel */
    RGB_LED_all = BIT1|BIT2|BIT4|BIT5   /*!< All channels */
} RGB_LED_channel;

extern void RGB_LED_init(void);
extern void RGB_LED_off(RGB_LED_channel channel);
extern void RGB_LED_on(RGB_LED_channel channel);
extern void RGB_LED_set(RGB_LED_channel channel);

/*! @} */

#endif //__HAL_RGB_LED_H__
